﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace PiechartColorBinding
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        List<Brush> color;
       
        public MainPage()
        {
            this.InitializeComponent();
            
                        
        }
   }

    public class model
    {
        public string Country { get; set; }
        public double Count { get; set; }
        public Brush  ColorModel { get; set; }
       
      
    }
    public class viewmodel
    {
        public viewmodel()
        {
            this.Data = new List<model>();
            Data.Add(new model() { Country = "Others", Count = 3658, ColorModel = new SolidColorBrush(Color.FromArgb(119, 65, 116, 255)) });
            Data.Add(new model() { Country = "Uruguay", Count = 3090, ColorModel = new SolidColorBrush(Color.FromArgb(128, 115, 120, 128)) });
            Data.Add(new model() { Country = "Argentina", Count = 2577, ColorModel = new SolidColorBrush(Color.FromArgb(128, 112, 250, 128)) });
            Data.Add(new model() { Country = "United States", Count = 1473, ColorModel = new SolidColorBrush(Color.FromArgb(128, 50, 0, 128)) });
            Data.Add(new model() { Country = "Germany", Count = 1500, ColorModel = new SolidColorBrush(Color.FromArgb(128, 255, 255, 0)) });
            Data.Add(new model() { Country = "Netherlands", Count = 3371, ColorModel = new SolidColorBrush(Color.FromArgb(210, 0, 130, 0)) });
            this.CustomBrush = new List<Brush>();
            for(int i=0;i<Data.Count ;i++)
            {
                    CustomBrush.Add(Data[i].ColorModel);
            }
        }
        
        public List<Brush> CustomBrush { get; set; }
        public IList<model> Data
        {
            get;
            set;
        }
    }
    

    public class ColorConverter : IValueConverter
    {
        viewmodel model1 = new viewmodel();


        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is List<Brush>)
            {
                ChartColorModel model = new ChartColorModel();
                model.CustomBrushes = value as List<Brush>;
                return model;
            }
            return value;
        }


        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
    
}
